import { Modal, Button } from 'antd';
import React, { useEffect, useState } from 'react';

export default (props) => {
  const { width = 600, height = 480, machineryRef, visible, toggleVisible } = props;

  const [url, setURL] = useState(
    'https://yz-offical.oss-cn-shanghai.aliyuncs.com/%E7%9C%81%E5%8F%98%E7%94%B5%E5%9F%B9%E8%AE%AD%E5%9F%BA%E5%9C%B0%E8%A7%86%E9%A2%91%20A%20copy.mov',
  );

  const handleCancel = () => {
    toggleVisible(false);
  };

  useEffect(() => {
    // 隐藏的时候取消视频播放
    if (!visible) {
      setURL(undefined);
    }
  }, [visible]);

  return (
    <Modal
      width={width}
      footer={null}
      visible={visible}
      onCancel={handleCancel}
      bodyStyle={{ padding: 0 }}
    >
      <video style={{ display: 'block' }} width={width} height={height} controls src={url}>
        您的浏览器不支持 video 。
      </video>
    </Modal>
  );
};
