import React from 'react';
import { colorArr } from '@/components/ScreenBox/utils';
import Radio from '.';

export default (props) => {
  const { className, list, value, onChange } = props;

  const handleChange = (item) => {
    if (typeof onChange === 'function') {
      onChange(item.id, item);
    }
  };

  return (
    <div className={className}>
      {list.map((item, index) => (
        <Radio
          key={item.id}
          checked={item.id === value}
          label={item.name}
          color={colorArr[index % colorArr.length]}
          onChange={() => handleChange(item)}
        />
      ))}
    </div>
  );
};
